#ifndef __SHM_COMMON__
#define __SHM_COMMON__



struct trace_queue
{
   //enum { LineSize = 100 };

   trace_queue()
      :  message_in(false)
   {}

   //Mutex to protect access to the queue
   boost::interprocess::interprocess_mutex      mutex;

   //Condition to wait when the queue is empty
   boost::interprocess::interprocess_condition  cond_empty;

   //Condition to wait when the queue is full
   //boost::interprocess::interprocess_condition  cond_full; //we dont need this, we just overwrite:)

   //Items to fill
   //char   items[sizeo];
   guint64 readhistory[256];//where all sign what they have read
   char readhistorypointer;
   guint64 numsub;
   
   guint64 currentframe; //the name of the current memory is %topic%currentframe
   char caps[5000];
  
   //Is there any message
   bool message_in;
};
/*
struct BufferUnit{
  GstBuffer *buf;
  boost::interprocess::shared_memory_object* shm;
  boost::interprocess::mapped_region* region;
};*/

#endif /* #define __SHM_COMMON__ */
