# Note: plugindir is set in configure

##############################################################################
# TODO: change libgstinotifysrc.la to something else, e.g. libmysomething.la     #
##############################################################################
plugin_LTLIBRARIES = libgstros.la

##############################################################################
# TODO: for the next set of variables, name the prefix if you named the .la, #
#  e.g. libmysomething.la => libmysomething_la_SOURCES                       #
#                            libmysomething_la_CFLAGS                        #
#                            libmysomething_la_LIBADD                        #
#                            libmysomething_la_LDFLAGS                       #
##############################################################################

# sources used to compile this plug-in
libgstros_la_SOURCES = gstros.cc gstrossrc.cc gstrossink.cc gstrosparam.cc gstrossiftfolder.cc gstrosundistort.cc gstrostfpub.cc gstrossift3d.cc cvsift.cc roscommon.cc 

# compiler and linker flags used to compile this plugin, set in configure.ac
libgstros_la_CXXFLAGS = $(GST_CFLAGS) `pkg-config --cflags rospack gio-2.0 gdk-3.0 opencv gsl` -I/opt/ros/groovy/stacks/geometry/tf/include -I/opt/ros/groovy/stacks/bullet/include -I/opt/ros/groovy/stacks/geometry/tf/msg_gen/cpp/include -I/opt/ros/groovy/stacks/image_common/image_transport/include -I/opt/ros/groovy/stacks/image_common/camera_calibration_parsers/include -fpermissive
#libgstrossrc_la_CFLAGS = $(GST_CFLAGS) 'pkg-config --cflags rospack'
libgstros_la_LIBADD = $(GST_LIBS) $(GST_BASE_LIBS) -L/opt/ros/groovy/stacks/image_common/image_transport/lib -L/opt/ros/groovy/stacks/image_common/camera_calibration_parsers/lib -lcamera_calibration_parsers -limage_transport -lgstvideo-0.10 
libgstros_la_LDFLAGS = $(GST_PLUGIN_LDFLAGS) `pkg-config --libs rospack gio-2.0 gdk-3.0 opencv gsl` -L/opt/ros/groovy/stacks/geometry/tf/lib -L/opt/ros/groovy/stacks/image_common/image_transport/lib -L/opt/ros/groovy/stacks/image_common/camera_calibration_parsers/lib -lcamera_calibration_parsers -limage_transport -ltf
libgstros_la_LIBTOOLFLAGS = --tag=disable-static

# headers we need but don't want installed
noinst_HEADERS = gstrossrc.h gstrossink.h gstrosparam.h gstrossiftfolder.h gstrosundistort.h gstrossift3d.h gstrostfpub.h cvsift.h roscommon.h
